--***********************************************
--VISTA TELEFONOS COOOBLIGADO VM_C_TELEFONOS_COOBLIGADO_PF
--***********************************************

select 
CON.FOLIO_UNICO,
COO.ID COOBLIGADO_ID,
TIPTELDIR.NOMBRE REFERENCIA_TELEFONICA,
TELDIR.IDINT TELEFONO_ID,
TELDIR.TELEFONO,
TELDIR.EXTENSION

FROM SMAFB.SGCONTRATOS CON
LEFT OUTER JOIN SMAFB.SGTIPOS_APLICACIONES TAP ON (TAP.ID = CON.TIPO_APLICACION_ID)
LEFT OUTER JOIN SMAFB.SGAPLICACIONES_FISICAS APF ON (APF.CONTRATO_ID = CON.IDINT)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FISICOS ATF ON (ATF.ID = APF.APLICANTE_ID)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FIS_COO AFC ON (AFC.APLICANTE_FISICO_ID = ATF.ID)
LEFT OUTER JOIN SMAFB.SGCOOBLIGADOS COO ON (COO.ID = AFC.COOBLIGADO_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOS S ON (S.ID = COO.SUJETO_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOBASES SB ON (SB.ID = S.SUJETOBASE_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOS_TELEFONOS SUJTEL ON (SUJTEL.SUJETO_ID = S.ID)
LEFT OUTER JOIN SMAFB.SGTELEFONOS TELDIR ON (TELDIR.IDINT = SUJTEL.TELEFONO_ID)
LEFT OUTER JOIN SMAFB.SGTIPOS_TELEFONOS TIPTELDIR ON (TIPTELDIR.ID = TELDIR.TIPO_TELEFONO_ID)
WHERE TAP.ID = 1 --TIPO 1 PERSONA FISICA
;
